openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Florent BENOIT <>
Subject Re: Fwd: OpenJPA moved to JAXB 2.1 and this is gonna cause trouble
Date Mon, 25 Jun 2007 17:11:01 GMT

Yes, it would be great to have a release with JAXB 2.0 before using JAXB 
2.1 in the OpenJPA trunk.
We're in the same situation if we want to use OpenJPA in ObjectWeb 
We're stuck with the 1.0.0 SNAPSHOT release as the 0.9.7 release was not 
working within EasyBeans (bugs fixed in the snapshot version).
And no release was done since a couple of months.

We use different persistence providers for integration tests and the 
dependency on JAXB 2.1 is a problem.



David Blevins wrote:
> Hey guys, figured this thread belonged here.  See below.
> I looked through the archives to see what the change related to and it 
> looks like OPENJPA-240 was it.  If we found a way in Geronimo to force 
> OpenJPA back onto jaxb 2.0 so we could continue to certify javaee6 
> would things still work sans this feature?
> Also, any idea how much longer it may be for a 1.0.0 release?
> I know it's tough to balance user and integrator needs, so thanks in 
> advance for any help.
> -David
> Begin forwarded message:
>> Resent-From: <>
>> From: Jeff Genender <>
>> Date: June 25, 2007 9:11:11 AM PDT
>> To:,
>> Subject: OpenJPA moved to JAXB 2.1 and this is gonna cause trouble
>> Reply-To:
>> Reply-To:
>> Hi,
>> I am sending this to the G and OEJB lists.
>> We have dependencies on OpenJPA SNAPSHOT in trunk.  Looks like they
>> moved to jaxb 2.1 and this is causing troubles with building.
>> First its having trouble finding,
>> and second, I am fairly confident this is going to impact certification.
>> Thoughts?
>> Jeff

View raw message